Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.Actions.AlignPrecursors
Interface IMultipleAlignAction

All Superinterfaces:
  Action

All Known Implementing Classes:
  ClustalWWS, MA_ClustalW

    public interface IMultipleAlignAction

extends Action

Author:
  Sylvia Tippmann Jan Krueger This Tool is created to provide a flexible usage. The algorithms to predict mature miRNA are based on 4 basic Actions: - Multiple alignment of precursor sequences - calculation of conservation among precursor sequences - Folding/secondary structure prediction of precursors - Scoring of precursor's sequence and secondary structure If you want to create a new class for MULTIPLE ALIGNMENT, the class MUST implement this Interface to fit in the program flow. example A: Create a new class which just calls another tool for multiple sequence alignment. Extend the existing MA_ClustalW class which implements the IMultipleAlignmentAction Interface and overwrite the methods you want to change. example B: Create an own algortihm for multiple sequence alignment. Write a class which implements the IMultipleAlignmentAction Interface. NOTE: After implementing a new Class for any Action step, compile it and add the absolute path of this .class file to the apropriate list in 'var/conf.properties' to include it in the tool. Otherwise the tool and the user will notice the class exists.

Method Summary
`java.util.Vector<java.lang.String>` | `align(PrecursorContainer pc)` Creates Multiple Alignment

Methods inherited from interface de.unibi.techfak.InSilicoDicer.Actions.Action
`getStatus, setStatus`

Method Detail

### align

    java.util.Vector<java.lang.String> align(PrecursorContainer pc)

  Creates Multiple Alignment

  Parameters:
    `pc` - - PreCursor container containing at least 2 sequences
  Returns:
    Vector - Vector containing aligned sequences in order of input Precursor container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD